6.0.0-git
2019-05-26

[#10741] METHOD not allowed in iCal for CalDAV
Summary METHOD not allowed in iCal for CalDAV
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester christof (at) buergi (dot) lugs (dot) ch
Created 2011-11-12 (2752 days ago)
Due
Updated 2013-01-24 (2313 days ago)
Assigned 2012-06-16 (2535 days ago)
Resolved 2013-01-24 (2313 days ago)
Milestone
Patch No

History
2013-01-24 14:58:22 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (master):

commit 0831330ae514a48ea5dd94bad924feb75ff170dd
Author: Jan Schneider <jan@horde.org>
Date:   Thu Jan 24 14:47:09 2013 +0100

     Update test fixtures (Bug #10741).

  .../test/Horde/Icalendar/fixtures/escapes2.ics     |    1 -
  .../Horde/Icalendar/fixtures/line-folding-1.ics    |    2 --
  .../Horde/Icalendar/fixtures/line-folding-2.ics    |    2 --
  .../Horde/Icalendar/fixtures/line-folding-3.ics    |    2 --
  .../Horde/Icalendar/fixtures/line-folding-4.ics    |    2 --
  .../Horde/Icalendar/fixtures/line-folding-5.ics    |    2 --
  .../Horde/Icalendar/fixtures/line-folding-6.ics    |    2 --
  .../Horde/Icalendar/fixtures/quoted-params.ics     |    1 -
  8 files changed, 0 insertions(+), 14 deletions(-)

http://git.horde.org/horde-git/-/commit/0831330ae514a48ea5dd94bad924feb75ff170dd
2013-01-24 13:42:11 Jan Schneider Comment #5
Version ⇒ Git master
Queue ⇒ Horde Framework Packages
State ⇒ Resolved
Reply to this comment
Fixed in Horde_Icalendar 2.0.3.
2013-01-24 13:40:46 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit 5d91c34d1e2816ae0755439b6bebd081159df59a
Author: Jan Schneider <jan@horde.org>
Date:   Thu Jan 24 14:23:04 2013 +0100

     [jan] Don't set METHOD property unconditionally (Bug #10741).

  framework/Icalendar/lib/Horde/Icalendar.php        |    1 -
  framework/Icalendar/lib/Horde/Icalendar/Vevent.php |   14 +++++++++++---
  framework/Icalendar/package.xml                    |    2 ++
  3 files changed, 13 insertions(+), 4 deletions(-)

http://git.horde.org/horde-git/-/commit/5d91c34d1e2816ae0755439b6bebd081159df59a
2012-06-16 17:59:08 Jan Schneider Assigned to Jan Schneider
State ⇒ Assigned
 
2011-11-30 19:00:54 christof (at) buergi (dot) lugs (dot) ch Comment #3 Reply to this comment
We only set METHOD in iTip responses.
True, but the method exportvCalendar sets a METHOD:PUBLISH on it's 
own, if none is present. Disabling this causes another part of the 
code to complain (I haven't figured out, which one).

For now, I just use a regexp to remove the attribute from the text 
exportvCalendar returns:

$response = $this->_getClient()->put($url, 
preg_replace("/\r\nMETHOD.*?\r\n/","\r\n",$ical->exportvCalendar()), 
array('Content-Type' => 'text/calendar'));
2011-11-30 18:41:41 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
We only set METHOD in iTip responses.
2011-11-12 20:06:17 christof (at) buergi (dot) lugs (dot) ch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ METHOD not allowed in iCal for CalDAV
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
When I try to insert or update an event on a SabreDAV powered CalDAV 
server, it complains with the following message: "The METHOD property 
is not allowed in calendar objects".

Quite correctly, as RFC4791 states: "Calendar object resources 
contained in calendar collections MUST NOT specify the iCalendar 
METHOD property."

So Events on CalDAV servers must not have this property. Now, it would 
of course be very easy to stop Kronolith from using that property, but 
as I don't know how exactly you handle iTIP, I'm afraid I have to 
leave this one to you.

Saved Queries